Update Dynamic DIDs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to update the dynamic DIDs (primary & fallback) list for a campaign.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Prerequisites

To access this API, you are required to provide the following parameters.

Header ParameterDescription
Content-TypeEnter the value "application/json'
Body ParametersDescription
username*CloudAgent account name
campaignName*Provide the name of the campaign to which the DIDs to be added
apiKey*Available in CloudAgent admin login
dynamicDIDs*Provide the Dynamic DIDs list with comma-separated values
fallbackDynamicDIDs*Provide the Fallback dynamic DIDs list with comma-separate values
❗️

Note

Parameters with ‘*’ are considered to be mandatory parameters.

👍

Sample example for the BODY PARAMS field:

{"username":"XXXXX","campaignName":"XXXXXXX","apiKey":"XXXXXXX","dynamicDIDs":"XXXXXXXXXX,XXXXXXXXXX,XXXXXXXXXX","fallbackDynamicDIDs":"XXXXXXXXXX,XXXXXXXXXX,XXXXXXXXXX"}

Possible Responses

Passing invalid userName value"Message": "Authentication failed."
Missing userName key"Message": "Authentication failed."
Passing Invalid apiKey Key"{""timestamp"": ""2023-1018T09:48:01.703+0000"",
""status"": 500,""error"": ""Internal Server Error"",""path"": ""/APIServices/dynamic/did/update""}"
Passing Invalid apiKey Value"Message": "Authentication failed."
Passing Invalid campaign_name Key"Message": "Campaign not found."
Passing Invalid dynamicDIDs Value"Message": "Please enter the Valid DIDs assigned to the account."
Missing dynamicDIDs key"Message": "DIDs is required"
Passing Invalid fallbackDynamicDIDs Value"Message": "Please enter the Valid FallbackDIDs assigned to the account."
Missing fallbackDynamicDIDs Value"Message": "fallbackDIDs is required"
Success response"Message": "Dynamic DIDs updated successfully"
Body Params
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!